<!DOCTYPE html>

<html>

<head>
  <title>Hello p5.js</title>
  <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/p5.js/0.5.16/p5.min.js"></script>
  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
  <script type="text/javascript" src="./plugins/index.js"></script>
  <style>
    body {
      margin: 0;
      overflow: hidden;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 100%;
      height: 100vh;
    }
    canvas {
      background: #FFF;
    }
  </style>
</head>
<body>
  <iframe src=''></iframe>
</body>
</html>

<script type="text/javascript">

  var callback = function(_data){
    console.log(_data);
    EDITOR_GLOB.sourceCode = _data;
    // iframeをロード
    $('iframe')[0].src = './sketche.html';
  }

  var path;
  if(window.frameElement){
    path = window.frameElement.dataset.path;
  }else{
    path = './sketches/noSketch.js';
  }

  EDITOR_GLOB.loadJs(path, callback);
  
</script>
